> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sip Trunks

> ⚠️ **DEPRECATED ENDPOINT** - This endpoint is no longer supported.

**Use Instead:** `GET /agents/{agent_id}/phone-numbers`

**For listing all phone numbers across agents:**
- Use `GET /phone-numbers/all` (admin endpoint)
- Or iterate through agents: `GET /agents/{agent_id}/phone-numbers` for each agent



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /sip/tenants/{tenant_id}/sip-trunks
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /sip/tenants/{tenant_id}/sip-trunks:
    get:
      tags:
        - sip
      summary: List Sip Trunks
      description: >-
        ⚠️ **DEPRECATED ENDPOINT** - This endpoint is no longer supported.


        **Use Instead:** `GET /agents/{agent_id}/phone-numbers`


        **For listing all phone numbers across agents:**

        - Use `GET /phone-numbers/all` (admin endpoint)

        - Or iterate through agents: `GET /agents/{agent_id}/phone-numbers` for
        each agent
      operationId: list_sip_trunks_sip_tenants__tenant_id__sip_trunks_get
      parameters:
        - name: tenant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Tenant Id
        - name: trunk_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Trunk Type
      responses:
        '410':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````